Variables for A deployed product

Variables for A deployed product
Variables for a deployed product

Returns the list of variables that BOSH director knows about for a product.

When name query parameter is present, this returns the current value for a specified variable stored in credhub instead.

Note that some variables may not be stored in credhub.

Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/variables
COPY
Path Parameters
string
product_guid
Required

The guid of the product

Query Parameters
string
name
Optional

The name of the variable as a string


Responses
200

OK

{
    "variables": [
        "string"
    ]
}

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden or unable to load the named variable from CredHub

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found, or unable to load the named variable from CredHub

{
    "errors": [
        "string"
    ]
}

502

Unable to connect to CredHub

Returns NestedErrorsResponseVariant of type(s) application/json
"NestedErrorsResponseVariant Object"
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/variables